clear all
close all
clc

% Funzione vera

w=linspace(-3,3,1000);
y=exp(-w.^2).*cos(8*w);


% Misure corrotte da rumore 

we=linspace(-3,3,50);
ye=exp(-we.^2).*cos(8*we);;
d=0.02*randn(size(ye));
std(d)/std(ye)
ye=ye+d;

% Identificazione 1

nsm=nsmdef(we,ye,'ga',9,'ea',0.06);

[yc,yl,yu,ya]=nsmev(nsm,w);

fals=any(yu<yl)
% find(yu<y)
% find(yl>y)

figure('unit','norm','position',[0.1 0.5 0.8 0.4])
axes('box','on','ylim',[-1.3 1.5]),hold on
line(we,ye,'linestyle','none','marker','.','color','k')
line(w,y)
line(w,yc,'color','k')
line(w,yl,'color','r')
line(w,yu,'color','g')

return

% Identificazione 2

nsm=nsmdef(we,ye,'fa','nn10,400','ga',0.2,'ea',0.06);
% nsm=nsmdef(we,ye,'fa','nn6,300','ga',0.6,'ea',0.06);

[yc,yl,yu,ya]=nsmev(nsm,w);

fals=any(yu<yl)
% find(yu<y)
% find(yl>y)

sqrt(mse(y-ya))
sqrt(mse(y-yc))

figure('unit','norm','position',[0.1 0.5 0.8 0.4])
axes('box','on','ylim',[-1.3 1.5]),hold on
line(we,ye,'linestyle','none','marker','.','color','k')
line(w,y)
line(w,yc,'color','k')
line(w,yl,'color','r')
line(w,yu,'color','g')
line(w,ya,'color','y')

